<?php

declare(strict_types=1);

namespace KupShop\ComponentsBundle\Attributes;

/**
 * Always registers a component to components.yaml to with specified entrypoint.
 *
 * @depracated Je to mega hnusnej super hack, používat fakt je v krajní nouzi kdy potřebuju zaregistrovat komponentu kterou budu používat někde ve starejch šablonách.
 */
#[\Attribute(\Attribute::TARGET_CLASS)]
class Entrypoint
{
    public function __construct(protected string $entrypoint)
    {
    }

    public function getEntrypoint(): string
    {
        return $this->entrypoint;
    }
}
